<?php

/**
 * sectox_scripts description
 * @return [type] [description]
 */
function sectox_scripts() {

    /**
     * all css files
    */

    wp_enqueue_style( 'sectox-fonts', sectox_fonts_url(), array(), time() );
    if( is_rtl() ){
        wp_enqueue_style( 'bootstrap-rtl', SECTOX_THEME_CSS_DIR.'bootstrap.rtl.min.css', array() );
    }else{
        wp_enqueue_style( 'bootstrap', SECTOX_THEME_CSS_DIR.'bootstrap.css', array() );
    }
    wp_enqueue_style( 'meanmenu', SECTOX_THEME_CSS_DIR . 'meanmenu.css', [] );
    wp_enqueue_style( 'animate', SECTOX_THEME_CSS_DIR . 'animate.css', [] );
    wp_enqueue_style( 'swiper-bundle', SECTOX_THEME_CSS_DIR . 'swiper-bundle.css', [] );
    wp_enqueue_style( 'slick', SECTOX_THEME_CSS_DIR . 'slick.css', [] );
    wp_enqueue_style( 'magnific-popup', SECTOX_THEME_CSS_DIR . 'magnific-popup.css', [] );
    wp_enqueue_style( 'backtotop', SECTOX_THEME_CSS_DIR . 'backtotop.css', [] );
    wp_enqueue_style( 'nice-select', SECTOX_THEME_CSS_DIR . 'nice-select.css', [] );
    wp_enqueue_style( 'ui-icon', SECTOX_THEME_CSS_DIR . 'ui-icon.css', [] );
    wp_enqueue_style( 'font-awesome-pro', SECTOX_THEME_CSS_DIR . 'font-awesome-pro.css', [] );
    wp_enqueue_style( 'flaticon', SECTOX_THEME_CSS_DIR . 'flaticon.css', [] );
    wp_enqueue_style( 'spacing', SECTOX_THEME_CSS_DIR . 'spacing.css', [] );
    wp_enqueue_style( 'sectox-core', SECTOX_THEME_CSS_DIR . 'sectox-core.css', [], time() );
    wp_enqueue_style( 'sectox-unit', SECTOX_THEME_CSS_DIR . 'sectox-unit.css', [], time() );
    wp_enqueue_style( 'woocommerce-shop', SECTOX_THEME_CSS_DIR . 'woocommerce-shop.css', [], time() );
    wp_enqueue_style( 'sectox-style', get_stylesheet_uri() );

    // all js
    wp_enqueue_script( 'bootstrap-bundle', SECTOX_THEME_JS_DIR . 'bootstrap-bundle.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'waypoints', SECTOX_THEME_JS_DIR . 'waypoints.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'meanmenu', SECTOX_THEME_JS_DIR . 'meanmenu.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'backtotop', SECTOX_THEME_JS_DIR . 'backtotop.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'slick', SECTOX_THEME_JS_DIR . 'slick.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'magnific-popup', SECTOX_THEME_JS_DIR . 'magnific-popup.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'nice-select', SECTOX_THEME_JS_DIR . 'nice-select.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'counterup', SECTOX_THEME_JS_DIR . 'counterup.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'isotope-pkgd', SECTOX_THEME_JS_DIR . 'isotope-pkgd.js', [ 'imagesloaded' ], false, true );
    wp_enqueue_script( 'sectox-main', SECTOX_THEME_JS_DIR . 'main.js', [ 'jquery' ], time(), true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'sectox_scripts' );

/*
Register Fonts
 */
function sectox_fonts_url() {
    $font_url = '';

    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'sectox' ) ) {
        $font_url = 'https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300;400;500;600;700&display=swap';
    }
    return $font_url;
}