<?php
/**
 * sectox customizer
 *
 * @package sectox
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function sectox_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'sectox_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'Sectox Customizer', 'sectox' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'header_top_setting', [
        'title'       => esc_html__( 'Header Info Setting', 'sectox' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'header_social', [
        'title'       => esc_html__( 'Header Social', 'sectox' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'section_header_logo', [
        'title'       => esc_html__( 'Header Setting', 'sectox' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'sectox' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'header_side_setting', [
        'title'       => esc_html__( 'Side Info', 'sectox' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'sectox' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'sectox' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'sectox' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'footer_social', [
    'title'       => esc_html__( 'Footer Social', 'sectox' ),
    'description' => '',
    'priority'    => 16,
    'capability'  => 'edit_theme_options',
    'panel'       => 'sectox_customizer',
    ] );


    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'sectox' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'sectox' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );


    $wp_customize->add_section( 'typo_setting', [
        'title'       => esc_html__( 'Typography Setting', 'sectox' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );

    $wp_customize->add_section( 'slug_setting', [
        'title'       => esc_html__( 'Slug Settings', 'sectox' ),
        'description' => '',
        'priority'    => 22,
        'capability'  => 'edit_theme_options',
        'panel'       => 'sectox_customizer',
    ] );
}

add_action( 'customize_register', 'sectox_customizer_panels_sections' );

function _header_top_fields( $fields ) {
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_topbar_switch',
        'label'    => esc_html__( 'Topbar Swicher', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_top_notice_switch',
        'label'    => esc_html__( 'Topbar Notice', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
        'active_callback' => [
            [
                'setting'  => 'sectox_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_preloader',
        'label'    => esc_html__( 'Preloader On/Off', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_backtotop',
        'label'    => esc_html__( 'Back To Top On/Off', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_header_right',
        'label'    => esc_html__( 'Header Right On/Off', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];    

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_search',
        'label'    => esc_html__( 'Header Search On/Off', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_header_lang',
        'label'    => esc_html__( 'language On/Off', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    // button
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_button_text',
        'label'    => esc_html__( 'Button Text', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Get In Touch', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'sectox_button_link',
        'label'    => esc_html__( 'Button URL', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];


    // notice
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'sectox_top_notice_txt',
        'label'    => esc_html__( 'Notice Content', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => sectox_kses( '<p class="m-0"><b>Limited Time Offer:</b> Shop online and get free no-contact delivery</p>', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ],
            [
                'setting'  => 'sectox_top_notice_switch',
                'operator' => '==',
                'value'    => true, 
            ]
        ],
    ];

    // top right txt 1
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_top_right_txt_1',
        'label'    => esc_html__( 'Top Right Text 1', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'FAQ', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_top_right_link_1',
        'label'    => esc_html__( 'Top Right Link 1', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ],
    ];

    // top right txt 2
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_top_right_txt_2',
        'label'    => esc_html__( 'Top Right Text 2', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Careers', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_top_right_link_2',
        'label'    => esc_html__( 'Top Right Link 2', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'sectox_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ],
    ];


    // phone
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_phone_num',
        'label'    => esc_html__( 'Phone Number', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '+9865689656', 'sectox' ),
        'priority' => 10,
    ];    

    // email
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_mail_id',
        'label'    => esc_html__( 'Mail ID', 'sectox' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'info@webmail.com', 'sectox' ),
        'priority' => 10,
    ];    

    return $fields;

}
add_filter( 'kirki/fields', '_header_top_fields' );

/*
Header Social
 */
function _header_social_fields( $fields ) {
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_topbar_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'sectox' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_topbar_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'sectox' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_topbar_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'sectox' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_topbar_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'sectox' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_topbar_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'sectox' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', '_header_social_fields' );

/*
Header Settings
 */
function _header_header_fields( $fields ) {
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Select Header Style', 'sectox' ),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__( 'Select an option...', 'sectox' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2' => get_template_directory_uri() . '/inc/img/header/header-2.png',
            'header-style-3'  => get_template_directory_uri() . '/inc/img/header/header-3.png'
        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'sectox' ),
        'description' => esc_html__( 'Upload Your Logo.', 'sectox' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seconday_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'sectox' ),
        'description' => esc_html__( 'Header Logo Black', 'sectox' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-3.png',
    ];    

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo_white',
        'label'       => esc_html__( 'Header White Logo', 'sectox' ),
        'description' => esc_html__( 'Header Logo White', 'sectox' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo2.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'preloader_logo',
        'label'       => esc_html__( 'Preloader Logo', 'sectox' ),
        'description' => esc_html__( 'Upload Preloader Logo.', 'sectox' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/favicon.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'header_bg',
        'label'       => esc_html__( 'Header Background', 'sectox' ),
        'description' => esc_html__( 'Upload Header image.', 'sectox' ),
        'section'     => 'section_header_logo',
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );

/*
Header Side Info
 */
function _header_side_fields( $fields ) {
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_side_hide',
        'label'    => esc_html__( 'Side Info On/Off', 'sectox' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];  
    // contact
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_contact_title',
        'label'    => esc_html__( 'Contact Title', 'sectox' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'CONTACT US', 'sectox' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_extra_address',
        'label'    => esc_html__( 'Office Address', 'sectox' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '27 Division St, New York', 'sectox' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_extra_phone',
        'label'    => esc_html__( 'Phone Number', 'sectox' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '+180012345678', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_extra_email',
        'label'    => esc_html__( 'Email ID', 'sectox' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'sectox@mail.com', 'sectox' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_side_fields' );

/*
_header_page_title_fields
 */
function _header_page_title_fields( $fields ) {
    // Breadcrumb Setting
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'sectox' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'sectox' ),
        'section'     => 'breadcrumb_setting',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'sectox' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'sectox' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#dae0eb',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_info_switch',
        'label'    => esc_html__( 'Breadcrumb Info switch', 'sectox' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_blog_btn_switch',
        'label'    => esc_html__( 'Blog BTN On/Off', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_blog_cat',
        'label'    => esc_html__( 'Blog Category Meta On/Off', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_blog_author',
        'label'    => esc_html__( 'Blog Author Meta On/Off', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_blog_date',
        'label'    => esc_html__( 'Blog Date Meta On/Off', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'sectox_blog_comments',
        'label'    => esc_html__( 'Blog Comments Meta On/Off', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'sectox' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'sectox' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields( $fields ) {
    // Footer Setting
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'sectox' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'sectox' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
            'footer-style-2' => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
            'footer-style-3' => get_template_directory_uri() . '/inc/img/footer/footer-3.png',
        ],
        'default'     => 'footer-style-1',
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'sectox' ),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__( 'Select an option...', 'sectox' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__( 'Widget Number 4', 'sectox' ),
            '3' => esc_html__( 'Widget Number 3', 'sectox' ),
            '2' => esc_html__( 'Widget Number 2', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'sectox_footer_bg',
        'label'       => esc_html__( 'Footer Background Image.', 'sectox' ),
        'description' => esc_html__( 'Footer Background Image.', 'sectox' ),
        'section'     => 'footer_setting',
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_footer_bg_color',
        'label'       => __( 'Footer BG Color', 'sectox' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'sectox' ),
        'section'     => 'footer_setting',
        'default'     => '#111111',
        'priority'    => 10,
        'active_callback' => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '==',
                'value'    => 'footer-style-1',
            ],
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_footer_bg_color_2',
        'label'       => __( 'Footer BG Color', 'sectox' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'sectox' ),
        'section'     => 'footer_setting',
        'default'     => '#fff',
        'priority'    => 10,
        'active_callback' => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '==',
                'value'    => 'footer-style-2',
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_footer_bg_color_3',
        'label'       => __( 'Footer BG Color', 'sectox' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'sectox' ),
        'section'     => 'footer_setting',
        'default'     => '#111111',
        'priority'    => 10,
        'active_callback' => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '==',
                'value'    => 'footer-style-3',
            ],
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_footer_bottombg_color',
        'label'       => __( 'Footer Bottom BG Color', 'sectox' ),
        'description' => esc_html__( 'This is a Footer Bottom bg color control.', 'sectox' ),
        'section'     => 'footer_setting',
        'default'     => '#3c8599',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_2_switch',
        'label'    => esc_html__( 'Footer Style 2 On/Off', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];  

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_3_switch',
        'label'    => esc_html__( 'Footer Style 3 On/Off', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];   

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_bottom_right_switch',
        'label'    => esc_html__( 'Footer Bottom Right On/Off', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ]; 


    // footer right txt 1
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_right_txt_1',
        'label'    => esc_html__( 'Footer Bottom Right Text 1', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Privacy Policy', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'footer_bottom_right_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ]
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_right_link_1',
        'label'    => esc_html__( 'Footer Bottom Right Link 1', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'footer_bottom_right_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ]

    ];

    // footer right txt 2
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_right_txt_2',
        'label'    => esc_html__( 'Footer Bottom Right Text 2', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Terms of Use', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'footer_bottom_right_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ]
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_right_link_2',
        'label'    => esc_html__( 'Footer Bottom Right Link 2', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'footer_bottom_right_switch',
                'operator' => '==',
                'value'    => true,
            ]
        ]
    ];

 


    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_copyright',
        'label'    => esc_html__( 'Copyright', 'sectox' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Copyright © 2022 Sectox by ThemePure. All Rights Reserved.', 'sectox' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );


/*
Footer Social
 */
function _footer_social_fields( $fields ) {
    // footer section social
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_social_switch',
        'label'    => esc_html__( 'Footer Social On/Off', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'sectox' ),
            'off' => esc_html__( 'Disable', 'sectox' ),
        ],
    ];

    $fields[] = [
        'type'     => 'image',
        'settings' => 'sectox_footer_logo',
        'label'    => esc_html__( 'Add Logo', 'sectox' ),
        'section'  => 'footer_social',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_behance_url',
        'label'    => esc_html__( 'Behance Url', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_footer_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'sectox' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'sectox' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', '_footer_social_fields' );


// color
function sectox_color_fields( $fields ) {
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_color_option',
        'label'       => __( 'Primary Color', 'sectox' ),
        'description' => esc_html__( 'This is a Theme color control.', 'sectox' ),
        'section'     => 'color_setting',
        'default'     => '#3c8599',
        'priority'    => 10,
    ];
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_secondary_color',
        'label'       => __( 'Secondary Color', 'sectox' ),
        'description' => esc_html__( 'This is a Theme color control.', 'sectox' ),
        'section'     => 'color_setting',
        'default'     => '#2bbb94',
        'priority'    => 10,
    ];

    
     // Color Settings
     $fields[] = [
        'type'        => 'color',
        'settings'    => 'sectox_color_scrollup',
        'label'       => __( 'ScrollUp Color', 'sectox' ),
        'description' => esc_html__( 'This is a ScrollUp colo control.', 'sectox' ),
        'section'     => 'color_setting',
        'default'     => '#2c3941',
        'priority'    => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', 'sectox_color_fields' );

// 404
function sectox_404_fields( $fields ) {
    // 404 settings
    
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_error_title',
        'label'    => esc_html__( 'Not Found Title', 'sectox' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Page not found', 'sectox' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'sectox_error_desc',
        'label'    => esc_html__( '404 Description Text', 'sectox' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Oops! The page you are looking for does not exist. It might have been moved or deleted', 'sectox' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'sectox' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Back To Home', 'sectox' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'sectox_404_fields' );



/**
 * Added Fields
 */
function sectox_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__( 'Body Font', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__( 'Heading h1 Fonts', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__( 'Heading h2 Fonts', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__( 'Heading h3 Fonts', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__( 'Heading h4 Fonts', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__( 'Heading h5 Fonts', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__( 'Heading h6 Fonts', 'sectox' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'sectox_typo_fields' );




/**
 * Added Fields
 */
function sectox_slug_setting( $fields ) {
    // slug settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_ev_slug',
        'label'    => esc_html__( 'Event Slug', 'sectox' ),
        'section'  => 'slug_setting',
        'default'  => esc_html__( 'ourevent', 'sectox' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'sectox_port_slug',
        'label'    => esc_html__( 'Portfolio Slug', 'sectox' ),
        'section'  => 'slug_setting',
        'default'  => esc_html__( 'ourportfolio', 'sectox' ),
        'priority' => 10,
    ];

    return $fields;
}

add_filter( 'kirki/fields', 'sectox_slug_setting' );


/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function sectox_THEME_option( $name ) {
    $value = '';
    if ( class_exists( 'sectox' ) ) {
        $value = Kirki::get_option( sectox_get_theme(), $name );
    }

    return apply_filters( 'sectox_THEME_option', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function sectox_get_theme() {
    return 'sectox';
}