<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package sectox
 */

/** 
 *
 * sectox header
 */

function sectox_check_header() {
    $sectox_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
    $sectox_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

    if ( $sectox_header_style == 'header-style-1' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-1' );
    } 
    elseif ( $sectox_header_style == 'header-style-2' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-2' );
    } 
    elseif ( $sectox_header_style == 'header-style-3' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-3' );
    } 
    else {

        /** default header style **/
        if ( $sectox_default_header_style == 'header-style-2' ) {
            get_template_part( 'template-parts/header/header-2' );
        } 
        elseif ( $sectox_default_header_style == 'header-style-3' ) {
            get_template_part( 'template-parts/header/header-3' );
        }
        else {
            get_template_part( 'template-parts/header/header-1' );
        }
    }

}
add_action( 'sectox_header_style', 'sectox_check_header', 10 );


/**
 * [sectox_header_lang description]
 * @return [type] [description]
 */
function sectox_header_lang_defualt() {
    $sectox_header_lang = get_theme_mod( 'sectox_header_lang', false );
    if ( $sectox_header_lang ): ?>

    <ul>
        <li><a href="javascript:void(0)"><?php print esc_html__( 'English', 'sectox' );?> <i class="fal fa-angle-down"></i></a>
        <?php do_action( 'sectox_language' );?>
        </li>
    </ul>

    <?php endif;?>
<?php
}

/**
 * [sectox_language_list description]
 * @return [type] [description]
 */
function _sectox_language( $mar ) {
    return $mar;
}
function sectox_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul>';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul>';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'sectox' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Arabic', 'sectox' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Spanish', 'sectox' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _sectox_language( $mar );
}
add_action( 'sectox_language', 'sectox_language_list' );


// header logo
function sectox_header_logo() { ?>
      <?php
        $sectox_logo_on = function_exists( 'get_field' ) ? get_field( 'is_enable_sec_logo' ) : NULL;
        $sectox_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $sectox_logo_second = get_template_directory_uri() . '/assets/img/logo/logo-3.png';

        $sectox_site_logo = get_theme_mod( 'logo', $sectox_logo );
        $sectox_secondary_logo = get_theme_mod( 'seconday_logo', $sectox_logo_second );
      ?>

      <?php if ( !empty( $sectox_logo_on ) ) : ?>
         <a href="<?php print esc_url( home_url( '/' ) );?>">
             <img src="<?php print esc_url( $sectox_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'sectox' );?>" />
         </a>
      <?php else : ?>
         <a href="<?php print esc_url( home_url( '/' ) );?>">
             <img src="<?php print esc_url( $sectox_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'sectox' );?>" />
         </a>
      <?php endif; ?>
   <?php
}

// header logo
function sectox_header_white_logo() {?>
    <?php
        $sectox_logo_white = get_template_directory_uri() . '/assets/img/logo/logo2.png';
        $logo_white = get_theme_mod( 'logo_white', $sectox_logo_white );
    ?>
      <a href="<?php print esc_url( home_url( '/' ) );?>">
          <img src="<?php print esc_url( $logo_white );?>" alt="<?php print esc_attr__( 'logo', 'sectox' );?>" />
      </a>
    <?php
}

function sectox_mobile_logo() {
    // side info
    $sectox_mobile_logo_hide = get_theme_mod( 'sectox_mobile_logo_hide', false );

    $sectox_site_logo = get_theme_mod( 'logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );

    ?>

    <?php if ( !empty( $sectox_mobile_logo_hide ) ): ?>
    <div class="side__logo mb-25">
        <a class="sideinfo-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $sectox_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'sectox' );?>" />
        </a>
    </div>
    <?php endif;?>



<?php }

/**
 * [sectox_header_social_profiles description]
 * @return [type] [description]
 */
function sectox_header_social_profiles() {
    $sectox_topbar_fb_url = get_theme_mod( 'sectox_topbar_fb_url', __( '#', 'sectox' ) );
    $sectox_topbar_twitter_url = get_theme_mod( 'sectox_topbar_twitter_url', __( '#', 'sectox' ) );
    $sectox_topbar_instagram_url = get_theme_mod( 'sectox_topbar_instagram_url', __( '#', 'sectox' ) );
    $sectox_topbar_linkedin_url = get_theme_mod( 'sectox_topbar_linkedin_url', __( '#', 'sectox' ) );
    $sectox_topbar_youtube_url = get_theme_mod( 'sectox_topbar_youtube_url', __( '#', 'sectox' ) );
    ?>
        <div class="tp-sidebar-social">
        <?php if ( !empty( $sectox_topbar_fb_url ) ): ?>
        <a href="<?php print esc_url( $sectox_topbar_fb_url );?>"><span><i class="fab fa-facebook-f"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_topbar_twitter_url ) ): ?>
        <a href="<?php print esc_url( $sectox_topbar_twitter_url );?>"><span><i class="fab fa-twitter"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_topbar_instagram_url ) ): ?>
        <a href="<?php print esc_url( $sectox_topbar_instagram_url );?>"><span><i class="fab fa-instagram"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_topbar_linkedin_url ) ): ?>
        <a href="<?php print esc_url( $sectox_topbar_linkedin_url );?>"><span><i class="fab fa-linkedin"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_topbar_youtube_url ) ): ?>
        <a href="<?php print esc_url( $sectox_topbar_youtube_url );?>"><span><i class="fab fa-youtube"></i></span></a>
        <?php endif;?>

        </div>

<?php
}

function sectox_footer_social_profiles() {
    $sectox_footer_fb_url = get_theme_mod( 'sectox_footer_fb_url', __( '#', 'sectox' ) );
    $sectox_footer_twitter_url = get_theme_mod( 'sectox_footer_twitter_url', __( '#', 'sectox' ) );
    $sectox_footer_behance_url = get_theme_mod( 'sectox_footer_behance_url', __( '#', 'sectox' ) );
    $sectox_footer_youtube_url = get_theme_mod( 'sectox_footer_youtube_url', __( '#', 'sectox' ) );
    $sectox_footer_instagram_url = get_theme_mod( 'sectox_footer_instagram_url', __( '#', 'sectox' ) );
    $sectox_footer_linkedin_url = get_theme_mod( 'sectox_footer_linkedin_url', __( '#', 'sectox' ) );
    ?>
        <div class="tp-footer-social">
        <?php if ( !empty( $sectox_footer_fb_url ) ): ?>
            <a href="<?php print esc_url( $sectox_footer_fb_url );?>"><i class="fab fa-facebook-f"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_footer_twitter_url ) ): ?>
            <a href="<?php print esc_url( $sectox_footer_twitter_url );?>"><i class="fab fa-twitter"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_footer_behance_url ) ): ?>
            <a href="<?php print esc_url( $sectox_footer_behance_url );?>"><i class="fab fa-behance"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_footer_youtube_url ) ): ?>
            <a href="<?php print esc_url( $sectox_footer_youtube_url );?>"><i class="fab fa-youtube"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_footer_instagram_url ) ): ?>
            <a href="<?php print esc_url( $sectox_footer_instagram_url );?>"><i class="fab fa-instagram"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sectox_footer_linkedin_url ) ): ?>
            <a href="<?php print esc_url( $sectox_footer_linkedin_url );?>"><i class="fab fa-linkedin-in"></i></a>
        <?php endif;?>
        </div>
<?php
}

/**
 * [sectox_header_menu description]
 * @return [type] [description]
 */
function sectox_header_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Sectox_Navwalker_Class::fallback',
            'walker'         => new Sectox_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [sectox_header_menu description]
 * @return [type] [description]
 */
function sectox_mobile_menu() {
    ?>
    <?php
        $sectox_menu = wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'menu_id'        => 'mobile-menu-active',
            'echo'           => false,
        ] );

    $sectox_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $sectox_menu );
        echo wp_kses_post( $sectox_menu );
    ?>
    <?php
}

/**
 * [sectox_search_menu description]
 * @return [type] [description]
 */
function sectox_header_search_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'header-search-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Sectox_Navwalker_Class::fallback',
            'walker'         => new Sectox_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [sectox_footer_menu description]
 * @return [type] [description]
 */
function sectox_footer_menu() {
    wp_nav_menu( [
        'theme_location' => 'footer-menu',
        'menu_class'     => 'm-0',
        'container'      => '',
        'fallback_cb'    => 'Sectox_Navwalker_Class::fallback',
        'walker'         => new Sectox_Navwalker_Class,
    ] );
}


/**
 * [sectox_category_menu description]
 * @return [type] [description]
 */
function sectox_category_menu() {
    wp_nav_menu( [
        'theme_location' => 'category-menu',
        'menu_class'     => 'cat-submenu m-0',
        'container'      => '',
        'fallback_cb'    => 'Sectox_Navwalker_Class::fallback',
        'walker'         => new Sectox_Navwalker_Class,
    ] );
}

/**
 *
 * sectox footer
 */
add_action( 'sectox_footer_style', 'sectox_check_footer', 10 );

function sectox_check_footer() {
    $sectox_footer_style = function_exists( 'get_field' ) ? get_field( 'footer_style' ) : NULL;
    $sectox_default_footer_style = get_theme_mod( 'choose_default_footer', 'footer-style-1' );

    if ( $sectox_footer_style == 'footer-style-1' ) {
        get_template_part( 'template-parts/footer/footer-1' );
    } 
    elseif ( $sectox_footer_style == 'footer-style-2' ) {
        get_template_part( 'template-parts/footer/footer-2' );
    } 
    elseif ( $sectox_footer_style == 'footer-style-3' ) {
        get_template_part( 'template-parts/footer/footer-3' );
    }
    elseif ( $sectox_footer_style == 'footer-style-4' ) {
        get_template_part( 'template-parts/footer/footer-4' );
    } else {

        /** default footer style **/
        if ( $sectox_default_footer_style == 'footer-style-2' ) {
            get_template_part( 'template-parts/footer/footer-2' );
        } 
        elseif ( $sectox_default_footer_style == 'footer-style-3' ) {
            get_template_part( 'template-parts/footer/footer-3' );
        } 
        elseif ( $sectox_default_footer_style == 'footer-style-4' ) {
            get_template_part( 'template-parts/footer/footer-4' );
        } 
        else {
            get_template_part( 'template-parts/footer/footer-1' );
        }

    }
}

// sectox_copyright_text
function sectox_copyright_text() {
   print get_theme_mod( 'sectox_copyright', esc_html__( 'Copyright © 2022 Sectox by ThemePure. All Rights Reserved.', 'sectox' ) );
}



/**
 *
 * pagination
 */
if ( !function_exists( 'sectox_pagination' ) ) {

    function _sectox_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function sectox_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];
        }

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li>' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _sectox_pagi_callback( $pagi );
    }
}


// header top bg color
function sectox_breadcrumb_bg_color() {
    $color_code = get_theme_mod( 'sectox_breadcrumb_bg_color', '#222' );
    wp_enqueue_style( 'sectox-custom', SECTOX_THEME_CSS_DIR . 'sectox-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-bg.gray-bg{ background: " . $color_code . "}";

        wp_add_inline_style( 'sectox-breadcrumb-bg', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sectox_breadcrumb_bg_color' );

// breadcrumb-spacing top
function sectox_breadcrumb_spacing() {
    $padding_px = get_theme_mod( 'sectox_breadcrumb_spacing', '160px' );
    wp_enqueue_style( 'sectox-custom', SECTOX_THEME_CSS_DIR . 'sectox-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-top: " . $padding_px . "}";

        wp_add_inline_style( 'sectox-breadcrumb-top-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sectox_breadcrumb_spacing' );

// breadcrumb-spacing bottom
function sectox_breadcrumb_bottom_spacing() {
    $padding_px = get_theme_mod( 'sectox_breadcrumb_bottom_spacing', '160px' );
    wp_enqueue_style( 'sectox-custom', SECTOX_THEME_CSS_DIR . 'sectox-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-bottom: " . $padding_px . "}";

        wp_add_inline_style( 'sectox-breadcrumb-bottom-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sectox_breadcrumb_bottom_spacing' );

// scrollup
function sectox_scrollup_switch() {
    $scrollup_switch = get_theme_mod( 'sectox_scrollup_switch', false );
    wp_enqueue_style( 'sectox-custom', SECTOX_THEME_CSS_DIR . 'sectox-custom.css', [] );
    if ( $scrollup_switch ) {
        $custom_css = '';
        $custom_css .= "#scrollUp{ display: none !important;}";

        wp_add_inline_style( 'sectox-scrollup-switch', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sectox_scrollup_switch' );

// theme color
function sectox_custom_color() {
    // primary color
    $color_code = get_theme_mod( 'sectox_color_option',   );
    if ( !empty($color_code) ) {
        $custom_css = '';
        $custom_css .= "body .tp-btn-2, body .tp-slider-sub-title, body .tp-section-subtitle, body .tp-about-wapper::after, body .tp-about-circle, body .tp-btn, body .tp-fea-link a:hover, body .testimonial-img i, body .cta-link a:hover, body .tp-meta-date, body .footer-social a:hover, body .footer-subscribe button, body .right::before, body .pre::before, body .pre::after, body .tpsupport__overlay-content a, body .tp-c-icon, body .tpprocess__circle:after, body .tp-port-icon a:hover, body .tp-fea-plus-icon a, body .tp-fea-plus-icon2 a, body .tp-fea-plus-icon2 .fea-plus-icon-text2, body .tp-fea-plus-icon .fea-plus-icon-text, body .tp-fea-plus-icon .fea-plus-icon-text::before, body .tp-fea-plus-icon2 .fea-plus-icon-text2::before, body .tp-cta-icon i, body .about-icon i, body .tp-service-tab button:hover, body .tp-service-tab button.active, body .tab-circle h4, body .tp-test-arrow button, body .quote-style, body .select-icon-main, body .blog-date a, body .tp-footer-social :hover, body .breadcrumb__list, body .tp-ab-left-meta, body .tp-fea-4-icon:hover i, body .tp-price-service .tp-price-badge, body .active-2 .tp-price-btn a, body .tp-widget-item ul li:hover, body .tp-widget-title::after, body .tp-over-view-item:hover .over-veiw-counter::after, body .tp-widget-item-2 ul li:hover, body .progress .progress-bar, body .tp-team-details-icon:hover .icon-area i, body .play-button:hover, body span.onsale, body .product__icon a:hover, body .woocommerce-product-search button::before, body .tagcloud a:hover, body .basic-pagination ul li a:hover, body .basic-pagination ul li a.current, body .basic-pagination ul li span:hover, body .basic-pagination ul li span.current, body .product__icon a.added_to_cart.wc-forward, body .tinv-wishlist button, body .pulse-btn, body .sidebar__widget-title::after, body .sidebar__search button, body blockquote cite::before, body .contact-info-item i, body .tp-btn-simelar, body .tp-header-icon:hover, body .woocommerce-mini-cart__buttons .button.checkout.wc-forward, body .tp-black-btn:hover, body .tp-black-btn-2:hover, body .tp-btn:hover, body .theme-bg, body .shop-cart .added_to_cart.wc-forward { background-color: " . $color_code . "}";

        $custom_css .= "body span.onsale { background-color: " . $color_code . "!important}";

        $custom_css .= "body .tp-slide-service h4, body .tpservices__content i, body .tp-price-head .tp-price-content .theme-color, body .tp-fea-icon i, body .tp-feed-content .tp-latest-blog-meta a, body .tp-feed-content .tp-latest-title:hover, body .tp-feed-content .tp-feed-link :hover, body .tp-main-menu ul li:hover a, body .tp-main-menu ul li .submenu li a:hover, body .tp-section-box-2 .tp-section-subtitle,  body .tp-about-fea-item ul li i, body .tp-about-fea-signature span, body .tpsvbox__icon a i, body .tpsvbox__title:hover, body .tpsupport__overlay-content a:hover, body .tp-header-contact-icon:hover i, body .tpprocess:hover i, body .tp-port-button button.active, body .team-overlay-icon .team-icon-bottom a:hover, body .client-name:hover, body .client-position, body .tp-fea-plus-icon2:hover a, body .tp-cta-box:hover .tp-cta-icon i, body .user:hover, body .user-2:hover, body .tp-blog-title:hover, body .blog-link:hover, body .footer-widget-2 .footer-link, body .footer-widget ul li:hover a, body .footer-widget ul li:hover::before, body .tp-sv-feature-list ul li i, body .fea-list i, body .tp-process-item-2 i, body .tp-ab-meta-text span i, body .process-content::after, body .tp-ab-4-right h4, body .tp-fea-4-icon i, body .tp-main-menu ul li:hover::after, body .tp-price-service .tp-price-head .tp-price-content h6, body .tp-price-service .tp-price-feature li i, body .tp-widget-item ul li a span i, body .tp-over-view-item i, body .tp-widget-item-2 ul li a span i, body .icon-area i, body .team-contact-info a:hover, body .tp-widget-category ul li span, body .product__icon a, body .product-sidebar ul li a:hover, body .order-review-wrapper .woocommerce-checkout-payment .woocommerce-privacy-policy-text p a, body .postbox__meta span i, body .postbox__title a:hover, body .postbox__meta span a:hover, body .pulse-btn:hover, body .sidebar__widget ul li a:hover, body .rc__post-title a:hover, body blockquote::before, body .contact__input i, body .contact-info-item a:hover, body .tp-main-menu-2 ul li:hover > a, body .tp-main-menu-2 ul li .submenu li a:hover, body .min-cart-price .woocommerce-Price-amount.amount, body .woocommerce-mini-cart__total .amount, body .footer-widget-2 .footer-subscribe input, body .tp-pro-title:hover, body .fea-4-box h6 span, body .product__title:hover { color: " . $color_code . "}";

        $custom_css .= "body .cta-link a:hover, body .tp-about-fea-item ul li i, body .tp-port-button button.active, body .footer-widget-2 .footer-link, body .tp-test-arrow button, body .tp-porduct-item:hover, body .basic-pagination ul li a:hover, body .basic-pagination ul li a.current, body .basic-pagination ul li span:hover, body .basic-pagination ul li span.current, body .order-review-wrapper, body .tp-header-icon:hover, body .woocommerce-mini-cart__buttons .button.checkout.wc-forward { border-color: " . $color_code . "}";

        $custom_css .= "body .tp-service-tab button::after { border-top-color: " . $color_code . "}";

        wp_add_inline_style( 'sectox-custom', $custom_css );
    }
    // secondary color
    $secondary_color = get_theme_mod( 'sectox_secondary_color', );
    if ( !empty($secondary_color) ) {
        $custom_css = '';

        $custom_css .= "body .tp-price-badge, body .active .tp-price-btn a { background-color: " . $secondary_color . "}";

        wp_add_inline_style( 'sectox-custom', $custom_css );
    }
    // scroll up color
    $color_code_scroll = get_theme_mod( 'sectox_color_scrollup', '#2c3941' );
    if ( !empty($color_code_scroll) ) {
        $custom_css = '';

        $custom_css .= "body .progress-wrap::after { color: " . $color_code_scroll . "}";
        $custom_css .= "body .progress-wrap svg.progress-circle path { stroke: " . $color_code_scroll . "}";

        wp_add_inline_style( 'sectox-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sectox_custom_color' );

// sectox_kses_intermediate
function sectox_kses_intermediate( $string = '' ) {
    return wp_kses( $string, sectox_get_allowed_html_tags( 'intermediate' ) );
}

function sectox_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}



// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function sectox_kses($raw){

   $allowed_tags = array(
      'a'                         => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'                      => array(
         'title' => array(),
      ),
      'b'                         => array(),
      'blockquote'                => array(
         'cite' => array(),
      ),
      'cite'                      => array(
         'title' => array(),
      ),
      'code'                      => array(),
      'del'                    => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'                     => array(),
      'div'                    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'                     => array(),
      'dt'                     => array(),
      'em'                     => array(),
      'h1'                     => array(),
      'h2'                     => array(),
      'h3'                     => array(),
      'h4'                     => array(),
      'h5'                     => array(),
      'h6'                     => array(),
      'i'                         => array(
         'class' => array(),
      ),
      'img'                    => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'                     => array(
         'class' => array(),
      ),
      'ol'                     => array(
         'class' => array(),
      ),
      'p'                         => array(
         'class' => array(),
      ),
      'q'                         => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'                      => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'                 => array(
         'width'         => array(),
         'height'     => array(),
         'scrolling'     => array(),
         'frameborder'   => array(),
         'allow'         => array(),
         'src'        => array(),
      ),
      'strike'                 => array(),
      'br'                     => array(),
      'strong'                 => array(),
      'data-wow-duration'            => array(),
      'data-wow-delay'            => array(),
      'data-wallpaper-options'       => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'                     => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}

/* This code filters the Archive widget to include the post count inside the link */
add_filter( 'get_archives_link', 'sectox_archive_count_span' );
function sectox_archive_count_span( $links ) {
    $links = str_replace('</a>&nbsp;(', '<span > (', $links);
    $links = str_replace(')', ')</span></a> ', $links);
    return $links;
}


/* This code filters the Category widget to include the post count inside the link */
add_filter('wp_list_categories', 'sectox_cat_count_span');
function sectox_cat_count_span($links) {
  $links = str_replace('</a> (', '<span> (', $links);
  $links = str_replace(')', ')</span></a>', $links);
  return $links;
}


