<?php 

/**
 * Template part for displaying footer layout three
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sectox
*/

    $footer_bg_img = get_theme_mod( 'sectox_footer_bg' );
    $sectox_footer_logo = get_theme_mod( 'sectox_footer_logo' );
    $sectox_footer_top_space = function_exists('get_field') ? get_field('sectox_footer_top_space') : '0';
    $sectox_copyright_center = $sectox_footer_logo ? 'col-lg-4 offset-lg-4 col-md-6 text-right' : 'col-lg-12 text-center';
    $sectox_footer_bg_url_from_page = function_exists( 'get_field' ) ? get_field( 'sectox_footer_bg' ) : '';
    $sectox_footer_bg_color_from_page = function_exists( 'get_field' ) ? get_field( 'sectox_footer_bg_color' ) : '';
    $footer_bg_color = get_theme_mod( 'sectox_footer_bg_color_3', '#111111' );
    $footer_copyright_switch = get_theme_mod( 'footer_copyright_switch', false );

    // bg image
    $bg_img = !empty( $sectox_footer_bg_url_from_page['url'] ) ? $sectox_footer_bg_url_from_page['url'] : $footer_bg_img;

    // bg color
    $bg_color = !empty( $sectox_footer_bg_color_from_page ) ? $sectox_footer_bg_color_from_page : $footer_bg_color;

    $footer_bg = !empty($bg_img) ? "background: url($bg_img)" : "background: $bg_color";


    // footer bottom bg color
    $sectox_footer_bottombg_color = get_theme_mod('sectox_footer_bottombg_color', '#3c8599');

    // footer_columns
    $footer_columns = 0;
    $footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

    for ( $num = 1; $num <= $footer_widgets; $num++ ) {
        if ( is_active_sidebar( 'footer-3-' . $num ) ) {
            $footer_columns++;
        }
    }

    switch ( $footer_columns ) {
    case '1':
        $footer_class[1] = 'col-lg-12';
        break;
    case '2':
        $footer_class[1] = 'col-lg-6 col-md-6';
        $footer_class[2] = 'col-lg-6 col-md-6';
        break;
    case '3':
        $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
        $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
        $footer_class[3] = 'col-xl-4 col-lg-6';
        break;
    case '4':
        $footer_class[1] = 'col-lg-3 col-md-6';
        $footer_class[2] = 'col-lg-3 col-md-6';
        $footer_class[3] = 'col-lg-3 col-md-6';
        $footer_class[4] = 'col-lg-3 col-md-6';
        break;
    default:
        $footer_class = 'col-lg-3 col-md-6';
        break;
    }

    $footer_social_switch = get_theme_mod('footer_social_switch', false);
    $sectox_footer_logo = get_theme_mod('sectox_footer_logo');

    $footer_bottom_right_switch = get_theme_mod('footer_bottom_right_switch', false);
    $sectox_footer_right_txt_1 = get_theme_mod('sectox_footer_right_txt_1', __('Privacy Policy', 'sectox'));
    $sectox_footer_right_link_1 = get_theme_mod('sectox_footer_right_link_1', __('#', 'sectox'));

    $sectox_footer_right_txt_2 = get_theme_mod('sectox_footer_right_txt_2', __('Terms of Use', 'sectox'));
    $sectox_footer_right_link_2 = get_theme_mod('sectox_footer_right_link_2', __('#', 'sectox'));

    ?>


    <!-- footer-counter-start -->
    <?php if(!empty($footer_social_switch)) : ?>
   <div class="tp-footer-top-area">
      <div class="container">
         <div class="theme-white p-relative white-bg">
            <div class="row">
               <div class="col-lg-4 col-md-4 col-12 text-center text-lg-start">
                  <div class="tp-footer-logo">
                    <a href="#"> <img src="<?php echo esc_url($sectox_footer_logo);?>" alt="<?php echo esc_attr__('logo', 'sectox');?>"></a>
                  </div>
               </div>
               <div class="col-lg-8 col-md-8 col-12 text-center text-md-end">
                  <?php sectox_footer_social_profiles();?>
               </div>
            </div>
         </div>
      </div>
   </div>
    <?php endif; ?>

   <!-- footer-area-start -->
   <footer>
    <?php if ( is_active_sidebar('footer-3-1') OR is_active_sidebar('footer-3-2') OR is_active_sidebar('footer-3-3') OR is_active_sidebar('footer-3-4') ): ?>
      <div class="footer-widget-area footer-widget-area-2 footer-bg pt-145 pb-50" style="<?php echo esc_attr($footer_bg);?>">
         <div class="container">
            <div class="row">
               <?php
                    if ( $footer_columns < 4 ) {
                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-1' );
                    print '</div>';

                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-2' );
                    print '</div>';

                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-3' );
                    print '</div>';

                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-4' );
                    print '</div>';

                    } else {
                        for ( $num = 1; $num <= $footer_columns; $num++ ) {
                            if ( !is_active_sidebar( 'footer-3-' . $num ) ) {
                                continue;
                            }
                            print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                            dynamic_sidebar( 'footer-3-' . $num );
                            print '</div>';
                        }
                    }
                ?>
            </div>
         </div>
      </div>
    <?php endif; ?>

      <div class="copyright-area theme-bg pt-20 pb-20" style="background-color: <?php echo esc_attr($sectox_footer_bottombg_color);?>;">
         <div class="container">
            <div class="row justify-content-center">
               <div class="col-xl-7 col-lg-7  col-12">
                  <div class="copyright-text text-lg-start text-center">
                     <p><?php print sectox_copyright_text(); ?></p>
                  </div>
               </div>
               <div class="col-xl-5 col-lg-5 col-12">

                <?php if(!empty($footer_bottom_right_switch)) : ?>
                  <div class="footer-menu text-center text-lg-end">
                     <ul>
                        <?php if(!empty($sectox_footer_right_txt_1)) : ?>
                        <li><a href="<?php echo esc_url($sectox_footer_right_link_1);?>"><?php echo esc_html($sectox_footer_right_txt_1);?></a></li>
                        <?php endif; ?>

                        <?php if(!empty($sectox_footer_right_txt_2)) : ?>
                        <li><a href="<?php echo esc_url($sectox_footer_right_link_2);?>"><?php echo esc_html($sectox_footer_right_txt_2);?></a></li>
                        <?php endif; ?>
                     </ul>
                  </div>
                <?php endif;?>

               </div>
            </div>
         </div>
      </div>
   </footer>


   <!-- footer-area-end -->





<footer>
   <div class="footer__area d-none">
    <?php if ( is_active_sidebar('footer-3-1') OR is_active_sidebar('footer-3-2') OR is_active_sidebar('footer-3-3') OR is_active_sidebar('footer-3-4') ): ?>
      <div class="footer__top grey-bg-4 pt-95 pb-45" data-top-space="<?php print esc_attr($sectox_footer_top_space); ?>px" data-bg-color="<?php print esc_attr( $bg_color );?>" data-background="<?php print esc_url( $bg_img );?>">
         <div class="container">
            <div class="row">
                <?php
                    if ( $footer_columns < 4 ) {
                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-1' );
                    print '</div>';

                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-2' );
                    print '</div>';

                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-3' );
                    print '</div>';

                    print '<div class="col-lg-3 col-md-6">';
                    dynamic_sidebar( 'footer-3-4' );
                    print '</div>';

                    } else {
                        for ( $num = 1; $num <= $footer_columns; $num++ ) {
                            if ( !is_active_sidebar( 'footer-3-' . $num ) ) {
                                continue;
                            }
                            print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                            dynamic_sidebar( 'footer-3-' . $num );
                            print '</div>';
                        }
                    }
                ?>
            </div>
         </div>
      </div>
    <?php endif; ?>  
      <div class="footer__bottom grey-bg-4" style="background-color: <?php echo esc_attr($sectox_footer_bottombg_color);?>;">
         <div class="container">
            <div class="footer__bottom-inner">
               <div class="row">
                  <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                     <div class="footer__bottom-link">
                        <?php sectox_footer_menu(); ?>
                     </div>
                  </div>
                  <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                     <div class="footer__social footer__social-3 text-md-end">
                        <?php sectox_footer_social_profiles(); ?>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</footer>
