<?php 

	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package sectox
	*/

	// info
    $sectox_topbar_switch = get_theme_mod( 'sectox_topbar_switch', false );
    $sectox_top_notice_switch = get_theme_mod( 'sectox_top_notice_switch', true );
    $sectox_top_notice_txt = get_theme_mod( 'sectox_top_notice_txt', __( '<p class="m-0"><b>Limited Time Offer:</b> Shop online and get free no-contact delivery</p>', 'sectox' ) );
    $sectox_search = get_theme_mod( 'sectox_search', false );


    $sectox_phone_num = get_theme_mod( 'sectox_phone_num', __( '+9865689656', 'sectox' ) );
    $sectox_mail_id = get_theme_mod( 'sectox_mail_id', __( 'info@webmail.com', 'sectox' ) );
  

    // contact button
	 $sectox_button_text = get_theme_mod( 'sectox_button_text', __( 'Get In Touch', 'sectox' ) );
    $sectox_button_link = get_theme_mod( 'sectox_button_link', __( '#', 'sectox' ) );


    // header right
    $sectox_header_right = get_theme_mod( 'sectox_header_right', false );
    $sectox_menu_col = $sectox_header_right ? 'col-xl-7 d-none d-xl-block text-end' : 'col-xl-10 d-none d-xl-block text-end';
    $sectox_menu_class = $sectox_header_right ? 'tp-main-menu text-center' : 'tp-main-menu text-right';


?>




<header>

      <?php if(!empty($sectox_topbar_switch) && !empty($sectox_top_notice_switch)) : ?>
      <div class="toast show align-items-center border-0 p-relative d-none d-md-block" role="alert" aria-live="assertive" aria-atomic="true">
         <div class="d-flexs">
           <div class="toast-body p-0">
            <div class="header-notification-area black-bg pt-15 pb-15 ">
               <div class="container">
                  <div class="row">
                     <div class="col-12">
                        <div class="notification-text text-center">
                           <?php echo sectox_kses($sectox_top_notice_txt);?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
           </div>
           <button type="button" class="btn-close btn-close-white me-2 m-auto" data-bs-dismiss="toast" aria-label="Close"></button>
         </div>
       </div>
      <?php endif;?>

      <div class="header-area header-1-space pl-60 pr-60">
         <div class="container-fluid">
            <div class="row align-items-center">
               <div class="col-xl-2 col-lg-6 col-md-5 col-7">
                  <div class="logo"><?php sectox_header_logo();?></div>
               </div>
               <div class="<?php echo esc_attr($sectox_menu_col);?>">
                  <div class="<?php echo esc_attr($sectox_menu_class);?>">
                     <nav id="mobile-menu">
                        <?php sectox_header_menu();?>
                     </nav>
                  </div>
               </div>

               <?php if(!empty($sectox_header_right)) : ?>
               <div class="col-xl-3 col-lg-6 col-md-7 col-5">
                 <div class="search-main p-relative">
                     <div class="tp-header-right">

                        <?php if(!empty($sectox_search)) : ?>
                        <a class="tp-header-icon tp-h-search p-relative" href="javascript:void(0)"><i class="fal fa-search"></i> <i class="fal fa-times"></i> </a>
                        <?php endif; ?>

                        <?php if ( class_exists( 'WooCommerce' ) ) : ?>
                        <div class="tp-mini-card">
                           <a class="tp-header-icon d-none d-xxl-inline-block" href="<?php echo wc_get_cart_url(); ?>"><i class="fal fa-shopping-cart"></i> <span id="tp-cart-item" class="cart__count"><?php echo esc_html(WC()->cart->cart_contents_count); ?></span></a>
                           <div class="mini_shopping_cart_box"><?php woocommerce_mini_cart(); ?></div>
                        </div>
                        <?php endif; ?>

                        

                        <?php if(!empty($sectox_button_text)) : ?>
                        <a href="<?php echo esc_url($sectox_button_link);?>" class="tp-btn-2 ml-20 d-none d-md-inline-block"><?php echo esc_html($sectox_button_text);?></a>
                        <?php endif; ?>

                        <a href="javascript:void(0)" class="tp-menu-toggle tp-header-icon ml-20 d-xl-none"><i class="far fa-bars"></i></a>
                     </div>
                     <?php sectox_search_form();?>
                 </div>
               </div>
               <?php endif; ?>


               <?php if(empty($sectox_header_right)) : ?>
               <div class="col-xl-3 col-lg-6 col-md-7 col-5">
                 <div class="search-main p-relative">
                     <div class="tp-header-right">
                        <a href="javascript:void(0)" class="tp-menu-toggle tp-header-icon ml-20 d-xl-none"><i class="far fa-bars"></i></a>
                     </div>
                     <?php sectox_search_form();?>
                 </div>
               </div>
               <?php endif; ?>  

            </div>
         </div>
      </div>
   </header>

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>