<?php 

	/**
	 * Template part for displaying header layout two
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package sectox
	*/

	// info
    $sectox_topbar_switch = get_theme_mod( 'sectox_topbar_switch', false );
    $sectox_top_notice_switch = get_theme_mod( 'sectox_top_notice_switch', true );
    $sectox_top_notice_txt = get_theme_mod( 'sectox_top_notice_txt', __( '<p class="m-0"><b>Limited Time Offer:</b> Shop online and get free no-contact delivery</p>', 'sectox' ) );


    $sectox_phone_num = get_theme_mod( 'sectox_phone_num', __( '+9865689656', 'sectox' ) );
    $sectox_mail_id = get_theme_mod( 'sectox_mail_id', __( 'info@webmail.com', 'sectox' ) );

    // top right 1
    $sectox_top_right_txt_1 = get_theme_mod( 'sectox_top_right_txt_1', __('FAQ', 'sectox') );
    $sectox_top_right_link_1 = get_theme_mod( 'sectox_top_right_link_1', __('#', 'sectox') );
    // top right 2
    $sectox_top_right_txt_2 = get_theme_mod( 'sectox_top_right_txt_2', __('Careers', 'sectox') );
    $sectox_top_right_link_2 = get_theme_mod( 'sectox_top_right_link_2', __('#', 'sectox') );

    $sectox_header_lang = get_theme_mod( 'sectox_header_lang', false );

	// contact button
    $sectox_button_text = get_theme_mod( 'sectox_button_text', __( 'Get In Touch', 'sectox' ) );
    $sectox_button_link = get_theme_mod( 'sectox_button_link', __( '#', 'sectox' ) );

    // acc button
	 $sectox_acc_button_text = get_theme_mod( 'sectox_acc_button_text', __( 'Login', 'sectox' ) );
    $sectox_acc_button_link = get_theme_mod( 'sectox_acc_button_link', __( '#', 'sectox' ) );

    // header right
    $sectox_search = get_theme_mod( 'sectox_search', false );
    $sectox_header_right = get_theme_mod( 'sectox_header_right', false );

    $header_bg = get_theme_mod( 'header_bg');

?>


<header class="p-relative">
      <?php if(!empty($sectox_topbar_switch)) : ?>
      <div class="header-notification-area black-bg  d-none d-lg-block">
         <div class="container">
            <div class="row align-items-center">
               <div class="col-xl-6 col-lg-7">
                  <?php if(!empty($sectox_topbar_switch) && !empty($sectox_top_notice_switch)) : ?>
                  <div class="notification-text">
                     <?php echo sectox_kses($sectox_top_notice_txt);?>
                  </div>
                  <?php endif; ?>
               </div>
               <div class="col-xl-6 col-lg-5 d-flex justify-content-end">
                  <div class="tp-top-menu">
                     <ul>
                        <?php if(!empty($sectox_top_right_txt_1)) : ?>
                        <li><a href="<?php echo esc_url($sectox_top_right_link_1);?>"><?php echo esc_html($sectox_top_right_txt_1);?></a></li>
                        <?php endif; ?>
                        <?php if(!empty($sectox_top_right_txt_2)) : ?>
                        <li><a href="<?php echo esc_url($sectox_top_right_link_2);?>"><?php echo esc_html($sectox_top_right_txt_2);?></a></li>
                        <?php endif; ?>
                     </ul>
                  </div>

                  <?php if(!empty($sectox_header_lang)) : ?>
                  <div class="tp-top-menu header-lan-menu ml-30">
                     <?php echo sectox_header_lang_defualt();?>
                  </div>
                  <?php endif; ?>

               </div>
            </div>
         </div>
      </div>
      <?php endif; ?>

      <?php if(!empty($header_bg)) : ?>
      <div class="tp-header-area header-area-space p-relative pt-20 pb-50 d-none d-xl-block" data-background="<?php echo esc_url($header_bg); ?>">
      <?php else : ?>
      <div class="tp-header-area header-area-space p-relative pt-20 pb-50 d-none d-xl-block" data-background="<?php echo get_template_directory_uri();?>/assets/img/bg/header-bg.jpg">
      <?php endif; ?>
         <div class="container">
            <div class="row align-items-center">
               <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                  <div class="logo logo-white"><?php sectox_header_white_logo();?></div>
               </div>
               <div class="col-xl-9">

                  <?php if(!empty($sectox_header_right)) : ?>
                  <div class="tp-contact-wapper d-flex justify-content-end">

                     <?php if(!empty($sectox_phone_num)) : ?>
                     <div class="tp-header-contact d-none d-xl-block pr-40">
                        <div class="tp-header-contact-icon d-flex align-items-center">
                           <div><a href="#"><i class="fas fa-phone"></i></a></div>
                           <div class="tp-header-icon-info">
                              <label><?php echo esc_html__('Make a call', 'sectox');?></label>
                              <a href="tel:<?php echo esc_attr($sectox_phone_num);?>">
                                 <?php echo esc_html($sectox_phone_num);?>
                              </a>
                           </div>
                        </div>
                     </div>
                     <?php endif; ?>

                     <?php if(!empty($sectox_mail_id)) : ?>
                     <div class="tp-header-contact d-none d-xl-block">
                        <div class="tp-header-contact-icon d-flex align-items-center">
                           <div><a href="#"><i class="fal fa-envelope-open"></i></a></div>
                           <div class="tp-header-icon-info">
                              <label><?php echo esc_html__('Email address', 'sectox');?></label>
                              <a href="mailto:<?php echo esc_html($sectox_mail_id);?>">
                                 <?php echo esc_html($sectox_mail_id);?>
                              </a>
                           </div>
                        </div>
                     </div>
                     <?php endif; ?>

                     <div class="tp-header-right ml-30">

                        <?php if(!empty($sectox_button_text)) : ?>
                        <a href="<?php echo esc_url($sectox_button_link);?>" class="tp-btn-simelar ml-20 d-none d-md-block"><?php echo esc_html($sectox_button_text);?></a>
                        <?php endif; ?>

                        <a href="javascript:void(0)" class="tp-menu-toggle tp-header-icon2 ml-20 d-xl-none"><i class="far fa-bars"></i></a>
                     </div>
                  </div>
                  <?php endif; ?>

               </div>
            </div>
         </div>
         <!-- for lg header  -->
      </div>
      <div class="tp-header-menu-area d-none d-xl-block">
         <div class="container">
            <div class="header-inner white-bg">
               <div class="row g-0 align-items-center">
                  <div class="col-xl-9">
                     <div class="tp-main-menu-2">
                        <nav id="mobile-menu">
                           <?php sectox_header_menu();?>
                        </nav>
                     </div>
                  </div>
                  <div class="col-xl-3  d-xl-block">
                     <?php if(!empty($sectox_search)) : ?>
                     <div class="tp-search-icon">
                        <?php sectox_h2_search_form();?>
                     </div>
                     <?php endif; ?>
                  </div>
               </div>
            </div>
         </div>
      </div>

      <!-- mobile menu start -->
      <div class="tp-header-2-mobile-area d-block d-xl-none" data-background="<?php echo get_template_directory_uri();?>/assets/img/bg/header-bg.jpg">
         <div class="container">
            <div class="row align-items-center">
               <div class="col-6">
                  <div class="logo logo-white"><?php sectox_header_white_logo();?></div>
               </div>
               <div class="col-6">
                  <div class="tp-header-right ml-30">
                     <?php if(!empty($sectox_header_right) && !empty($sectox_button_text)) : ?>
                     <a href="<?php echo esc_url($sectox_button_link);?>" class="tp-btn-simelar ml-20 d-none d-md-block"><?php echo esc_html($sectox_button_text);?></a>
                     <?php endif; ?>
                     <a href="#" class="tp-menu-toggle tp-header-icon2 ml-20 d-xl-none"><i class="far fa-bars"></i></a>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- mobile menu start -->
   </header>


<?php get_template_part( 'template-parts/header/header-side-info' ); ?>
