<?php 

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package sectox
   */

    $sectox_side_hide = get_theme_mod( 'sectox_side_hide', false );
    
    $sectox_contact_title = get_theme_mod( 'sectox_contact_title', __( 'CONTACT US', 'sectox' ) );
    $sectox_extra_address = get_theme_mod( 'sectox_extra_address', __( '27 Division St, New York', 'sectox' ) );
    $sectox_extra_phone = get_theme_mod( 'sectox_extra_phone', __( '+180012345678', 'sectox' ) );
    $sectox_extra_email = get_theme_mod( 'sectox_extra_email', __( 'sectox@mail.com', 'sectox' ) );
?>

<div class="tp-sidebar-menu ">
   <button class="sidebar-close"><i class="fal fa-times"></i></button>
   <div class="side-logo mb-20">
      <?php sectox_header_logo();?>
   </div>
   <div class="mobile-menu">

      <?php if(!empty($sectox_side_hide)) : ?>

      <?php if(!empty($sectox_contact_title)) : ?>
      <div class="sidebar-title">
         <h3><?php echo esc_html($sectox_contact_title);?></h3>
      </div>
      <?php endif; ?>

      <ul class="sidebar-list">

        <?php if(!empty($sectox_extra_address)) : ?>
        <li><?php echo esc_html($sectox_extra_address);?></li>
        <?php endif; ?>

        <?php if(!empty($sectox_extra_phone)) : ?>
        <li><?php echo esc_html($sectox_extra_phone);?></li>
        <?php endif; ?>

        <?php if(!empty($sectox_extra_email)) : ?>
        <li><?php echo esc_html($sectox_extra_email);?></li>
        <?php endif; ?>

      </ul>
      <?php sectox_header_social_profiles();?>
      <?php endif; ?>


   </div>
</div>
<div class="body-overlay"></div>